/**
 * Находит элемент массива, имеющий наименьшую метрику
 * @param array - массив для поиска
 * @param metric - функция, рассчитывающая метрику
 * @returns index - индекс найденного элемента или -1, если массив пустой
 */
export function findMinIndex(array, metric) {
    var minMetric = null;
    var minIndex = null;
    for (var i = 0; i < array.length; i++) {
        var m = metric(array[i], i);
        if (minMetric === null || m < minMetric) {
            minMetric = m;
            minIndex = i;
        }
    }
    return minIndex !== null && minIndex !== void 0 ? minIndex : -1;
}
//# sourceMappingURL=findMinIndex.js.map