/**
 * Оборачивает асинхронную функцию и следит за тем, чтобы она одновременно выполнялась только один раз
 */
export function singleton(func) {
    var worker = function () {
        var args = [];
        for (var _i = 0; _i < arguments.length; _i++) {
            args[_i] = arguments[_i];
        }
        if (worker.promise) {
            return worker.promise;
        }
        var promise = func.apply(void 0, args);
        if (promise) {
            worker.promise = promise.then(function (result) {
                worker.promise = undefined;
                return result;
            }, function (error) {
                worker.promise = undefined;
                throw error;
            });
        }
        else {
            worker.promise = undefined;
        }
        return promise;
    };
    return worker;
}
//# sourceMappingURL=singleton.js.map