import { __assign } from "tslib";
import isNil from 'lodash/isNil';
/**
 * Применяет значения по-умолчанию для объекта
 * @param object - объект
 * @param defaults - значения по-умолчанию
 */
export function applyDefaults(object, defaults) {
    var result = __assign({}, object);
    var keys = Object.keys(object);
    for (var _i = 0, keys_1 = keys; _i < keys_1.length; _i++) {
        var key = keys_1[_i];
        if (isNil(result[key]) && key in defaults) {
            // @ts-ignore
            result[key] = defaults[key];
        }
    }
    return result;
}
//# sourceMappingURL=applyDefaults.js.map