/**
 * Объект без undefined полей
 */
export declare type CleanedObject<Obj extends object> = Pick<Obj, {
    [Key in keyof Obj]-?: Obj[Key] extends undefined ? never : Key;
}[keyof Obj]>;
/**
 * Возвращает новый объект, равный переданному без undefined-значений
 * @param obj - объект
 */
export declare function cleanObject<Obj extends {}>(obj: Obj): CleanedObject<Obj>;
