/**
 * Компаратор для численных строк.
 * Если одна из строк не является числом, то она смещается в конец
 * @param dir - направление сравнения (1 для asc, -1 для desc)
 */
export var compareNumericStrings = function (dir) {
    if (dir === void 0) { dir = 1; }
    return function (a, b) {
        var aNumber = +a;
        var bNumber = +b;
        var aNaN = isNaN(aNumber);
        var bNaN = isNaN(bNumber);
        if (aNaN && bNaN) {
            return a < b ? -dir : a > b ? dir : 0;
        }
        if (aNaN)
            return 1;
        if (bNaN)
            return -1;
        return aNumber < bNumber ? -dir : aNumber > bNumber ? dir : 0;
    };
};
//# sourceMappingURL=compareNumericStrings.js.map