/**
 * Рассчитывает родительский адрес, убирая нужное число элементов справа
 * @param path - текущий адрес
 * @param depth - сколько элементов справа надо убрать
 * @example
 *  getParentUrl('/test/new') -> '/test'
 */
export function getParentUrl(path, depth) {
    if (depth === void 0) { depth = 1; }
    var cpath = path;
    var last = cpath.length - 1;
    if (cpath[last] === '/') {
        cpath = path.slice(0, last);
    }
    for (var i = 0; i < depth; i++) {
        var end = cpath.lastIndexOf('/');
        if (end > 0) {
            cpath = cpath.slice(0, end);
        }
        else {
            cpath = '/';
        }
    }
    return cpath;
}
/**
 * Парсит значение из адресной строки
 * @param query - значение из адресной строки
 */
export function parseQuerySimple(query) {
    return query || undefined;
}
/**
 * Преобразует значение в строку для записи в адресную строку
 * @param data - преобразуемое значение
 */
export function encodeQuerySimple(data) {
    return data ? String(data) : undefined;
}
/**
 * @deprecated use encodeQuerySimple
 */
export var stringifyQuerySimple = encodeQuerySimple;
export function parseQueryArray(query) {
    return query ? query.split(',') : null;
}
export function encodeQueryArray(data) {
    return data ? data.join(',') : undefined;
}
//# sourceMappingURL=url.js.map