"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.define = void 0;
/**
 * Позволяет задать ограничения типа при определении констант
 *
 * @example
 * interface Item {
 *   value: number;
 * }
 *
 * const t = define<{ [key: string]: Item }>()({
 *   key1: { value: 5 },
 *   key2: { other: 10 } // error
 * });
 *
 * // typeof t = { key1: Item, key2: Item }
 */
function define() {
    return function _define(x) {
        return x;
    };
}
exports.define = define;
//# sourceMappingURL=define.js.map