/**
 * Возвращает красивое круглое число, не сильно больше переданного
 * @param number {number}
 * @returns {number}
 */
export declare function roundToRound(number: number): number;
/**
 * Подбирает количество шагов легенды, чтобы цифры были красивые
 * @param max {number} - верхняя граница
 * @param min {number} - нижняя граница
 * @param decimals {number} - количество точек после запятой
 * @param maxSteps {number} - максимум шагов
 * @param minSteps {number} - миниммум шагов
 * @returns {number}
 */
export declare function getRoundLegendSteps(max: number, min?: number, decimals?: number, maxSteps?: number, minSteps?: number): number;
/**
 * Считает оптимальное количество знаков после запятой для легенды графика
 *
 * @param min - минимальное значение легенды
 * @param max - максимальное значение легенды
 * @param legendSteps - количество шагов легенды
 */
export declare function getLegendDecimals(min: number, max: number, legendSteps?: number): number;
