"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.formatFileSize = void 0;
var formatNumber_1 = require("./formatNumber");
var byteUnits = [
    ' B',
    ' KB',
    ' MB',
    ' GB',
    ' TB',
    ' PB',
    ' EB',
    ' ZB',
    ' YB'
];
/**
 * Форматирует размер файла, подбирая нужный суффикс
 * @param fileSizeInBytes - размер файла в байтах
 */
function formatFileSize(fileSizeInBytes) {
    var i = 0;
    while (fileSizeInBytes > 1024 && i < byteUnits.length - 1) {
        fileSizeInBytes = fileSizeInBytes / 1024;
        i++;
    }
    return formatNumber_1.formatValueUnit(Math.max(fileSizeInBytes, 0.1), byteUnits[i], 1);
}
exports.formatFileSize = formatFileSize;
//# sourceMappingURL=formatFileSize.js.map