"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.applyDefaults = void 0;
var tslib_1 = require("tslib");
var isNil_1 = tslib_1.__importDefault(require("lodash/isNil"));
/**
 * Применяет значения по-умолчанию для объекта
 * @param object - объект
 * @param defaults - значения по-умолчанию
 */
function applyDefaults(object, defaults) {
    var result = tslib_1.__assign({}, object);
    var keys = Object.keys(object);
    for (var _i = 0, keys_1 = keys; _i < keys_1.length; _i++) {
        var key = keys_1[_i];
        if (isNil_1.default(result[key]) && key in defaults) {
            // @ts-ignore
            result[key] = defaults[key];
        }
    }
    return result;
}
exports.applyDefaults = applyDefaults;
//# sourceMappingURL=applyDefaults.js.map