"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.makeOptionator = void 0;
/**
 * Создает конструктор опций для селекта
 * @param labelFn - функция получения названия
 * @param valueFn - функция получения значения
 */
function makeOptionator(labelFn, valueFn) {
    return function (value) { return ({
        value: valueFn ? valueFn(value) : value,
        label: labelFn(value)
    }); };
}
exports.makeOptionator = makeOptionator;
//# sourceMappingURL=makeOptionator.js.map