"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.shortenText = void 0;
var utf_1 = require("../utf");
function shortenText(text, maxLength, fuzziness) {
    if (maxLength === void 0) { maxLength = 30; }
    if (fuzziness === void 0) { fuzziness = 5; }
    if (!text) {
        return text;
    }
    var textString = text + '';
    if (textString.length > maxLength) {
        var spaceIndex = -1;
        // Находим самый левый из группы самых правых пробельных символов
        for (var i = maxLength - 1; i >= maxLength - fuzziness; i--) {
            if (/\s/.test(textString[i])) {
                spaceIndex = i;
            }
            else if (spaceIndex !== -1) {
                break;
            }
        }
        if (spaceIndex >= 0) {
            return textString.slice(0, spaceIndex) + utf_1.HELLIP;
        }
        return textString.slice(0, maxLength) + utf_1.HELLIP;
    }
    return textString;
}
exports.shortenText = shortenText;
//# sourceMappingURL=shortenText.js.map