/**
 * Рассчитывает родительский адрес, убирая нужное число элементов справа
 * @param path - текущий адрес
 * @param depth - сколько элементов справа надо убрать
 * @example
 *  getParentUrl('/test/new') -> '/test'
 */
export declare function getParentUrl(path: string, depth?: number): string;
/**
 * Парсит значение из адресной строки
 * @param query - значение из адресной строки
 */
export declare function parseQuerySimple<T>(query: T): T | undefined;
/**
 * Преобразует значение в строку для записи в адресную строку
 * @param data - преобразуемое значение
 */
export declare function encodeQuerySimple<T>(data: T): string | undefined;
/**
 * @deprecated use encodeQuerySimple
 */
export declare const stringifyQuerySimple: typeof encodeQuerySimple;
/**
 * Парсит массив, сохраненный в адресной строке через запятую
 * @param query - значение из адресной строки
 */
export declare function parseQueryArray(query: string): string[];
export declare function parseQueryArray(query: undefined | null): null;
/**
 * Представляет массив в виде строки через запятую
 * @param data - массив
 */
export declare function encodeQueryArray(data: any[]): string;
export declare function encodeQueryArray(data: null | undefined): undefined;
