"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.encodeQueryArray = exports.parseQueryArray = exports.stringifyQuerySimple = exports.encodeQuerySimple = exports.parseQuerySimple = exports.getParentUrl = void 0;
/**
 * Рассчитывает родительский адрес, убирая нужное число элементов справа
 * @param path - текущий адрес
 * @param depth - сколько элементов справа надо убрать
 * @example
 *  getParentUrl('/test/new') -> '/test'
 */
function getParentUrl(path, depth) {
    if (depth === void 0) { depth = 1; }
    var cpath = path;
    var last = cpath.length - 1;
    if (cpath[last] === '/') {
        cpath = path.slice(0, last);
    }
    for (var i = 0; i < depth; i++) {
        var end = cpath.lastIndexOf('/');
        if (end > 0) {
            cpath = cpath.slice(0, end);
        }
        else {
            cpath = '/';
        }
    }
    return cpath;
}
exports.getParentUrl = getParentUrl;
/**
 * Парсит значение из адресной строки
 * @param query - значение из адресной строки
 */
function parseQuerySimple(query) {
    return query || undefined;
}
exports.parseQuerySimple = parseQuerySimple;
/**
 * Преобразует значение в строку для записи в адресную строку
 * @param data - преобразуемое значение
 */
function encodeQuerySimple(data) {
    return data ? String(data) : undefined;
}
exports.encodeQuerySimple = encodeQuerySimple;
/**
 * @deprecated use encodeQuerySimple
 */
exports.stringifyQuerySimple = encodeQuerySimple;
function parseQueryArray(query) {
    return query ? query.split(',') : null;
}
exports.parseQueryArray = parseQueryArray;
function encodeQueryArray(data) {
    return data ? data.join(',') : undefined;
}
exports.encodeQueryArray = encodeQueryArray;
//# sourceMappingURL=url.js.map